interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54570 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36593']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:24 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjoii2.2.1505364204073.Z0FBQUFBQlp1Z2pzc0NoV2gyS0RUM0dySks4d3VhVEJncFd6Y0dpNEIxTDFrOEh2eEplYlFqQk1US294STFOTGtnWFdvZHpLUkhFSVhRSlBvb2hmNHBDSnFybHFPUGcweU5raW01MENQZVlreE1XVmJYMFlLdXozZkJGQUZiT1RHRUlRc2VCT3dkZUY;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:24
          GMT; secure', 'session_tracker=9NUwzrHFi9jAp1aZz1.0.1505364204068.Z0FBQUFBQlp1Z2pzcmppNXpzaVRxM1F1dldSWVJiTEdxTVpCWTlpLUlFenlKYnZ4bXFuZWVsVEcydTNjOG5DYWg5dXRlMWVTM0k5cFJhcWZ3OC13WmptYUlLTnVxb1p5SHozdHJUTlhEVFpZdjBrSzZMWkJGTG5vYlNDbERrc000ZmEzWWJ6LWJZeXY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:24
          GMT; secure', edgebucket=W5NAXyvNgO0baUDUY0; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364204.051340,VS0,VE358']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjoii2.2.1505364204073.Z0FBQUFBQlp1Z2pzc0NoV2gyS0RUM0dySks4d3VhVEJncFd6Y0dpNEIxTDFrOEh2eEplYlFqQk1US294STFOTGtnWFdvZHpLUkhFSVhRSlBvb2hmNHBDSnFybHFPUGcweU5raW01MENQZVlreE1XVmJYMFlLdXozZkJGQUZiT1RHRUlRc2VCT3dkZUY;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:24
          GMT; secure', 'session_tracker=9NUwzrHFi9jAp1aZz1.0.1505364204068.Z0FBQUFBQlp1Z2pzcmppNXpzaVRxM1F1dldSWVJiTEdxTVpCWTlpLUlFenlKYnZ4bXFuZWVsVEcydTNjOG5DYWg5dXRlMWVTM0k5cFJhcWZ3OC13WmptYUlLTnVxb1p5SHozdHJUTlhEVFpZdjBrSzZMWkJGTG5vYlNDbERrc000ZmEzWWJ6LWJZeXY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:24
          GMT; secure', edgebucket=W5NAXyvNgO0baUDUY0; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=7GRTozXGytc1b07e2MBiow%2B130Rtg68dT7%2FP%2BnR%2FqMC57tHeQeAV%2BncqMGknJ1yvXHitCO%2BuUP4%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=W5NAXyvNgO0baUDUY0; loid=00000000000drjoii2.2.1505364204073.Z0FBQUFBQlp1Z2pzc0NoV2gyS0RUM0dySks4d3VhVEJncFd6Y0dpNEIxTDFrOEh2eEplYlFqQk1US294STFOTGtnWFdvZHpLUkhFSVhRSlBvb2hmNHBDSnFybHFPUGcweU5raW01MENQZVlreE1XVmJYMFlLdXozZkJGQUZiT1RHRUlRc2VCT3dkZUY;
          session_tracker=9NUwzrHFi9jAp1aZz1.0.1505364204068.Z0FBQUFBQlp1Z2pzcmppNXpzaVRxM1F1dldSWVJiTEdxTVpCWTlpLUlFenlKYnZ4bXFuZWVsVEcydTNjOG5DYWg5dXRlMWVTM0k5cFJhcWZ3OC13WmptYUlLTnVxb1p5SHozdHJUTlhEVFpZdjBrSzZMWkJGTG5vYlNDbERrc000ZmEzWWJ6LWJZeXY]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/aww/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 78625 characters]
        Tb0U2vnnYXj+4P8PyQgk3VEiBQA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['52745']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:28 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364208.605894,VS0,VE552']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=9NUwzrHFi9jAp1aZz1.0.1505364207624.Z0FBQUFBQlp1Z2p3aF9pZ0Z5Rm80U28ta2xsUkpMMTAxd2FLZkR2MHJWUnVEalZhdkJYOXpBMVh6SXRDbmV1NFFLemEzemM4cFRaSzF0YzRma3dKQVdRS3QxV0hVeUJ4NXRlMTMxX2dHU3l2WUxEQ1NKWmVNZnhVbXRMaDI1SUc5aURkTExQSEhGcHo;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:28
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=%2BNtpgd9aMR3oLDrDR%2BYEIoYMSpiTeDJLHbiexgWYvIB63POMZIJ1rtiYK6KgreAoZLPX1KWwjnA%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=W5NAXyvNgO0baUDUY0; loid=00000000000drjoii2.2.1505364204073.Z0FBQUFBQlp1Z2pzc0NoV2gyS0RUM0dySks4d3VhVEJncFd6Y0dpNEIxTDFrOEh2eEplYlFqQk1US294STFOTGtnWFdvZHpLUkhFSVhRSlBvb2hmNHBDSnFybHFPUGcweU5raW01MENQZVlreE1XVmJYMFlLdXozZkJGQUZiT1RHRUlRc2VCT3dkZUY;
          session_tracker=9NUwzrHFi9jAp1aZz1.0.1505364207624.Z0FBQUFBQlp1Z2p3aF9pZ0Z5Rm80U28ta2xsUkpMMTAxd2FLZkR2MHJWUnVEalZhdkJYOXpBMVh6SXRDbmV1NFFLemEzemM4cFRaSzF0YzRma3dKQVdRS3QxV0hVeUJ4NXRlMTMxX2dHU3l2WUxEQ1NKWmVNZnhVbXRMaDI1SUc5aURkTExQSEhGcHo]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 91788 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['61551']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:30 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1744-ORD]
      X-Timer: ['S1505364210.692351,VS0,VE545']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=9NUwzrHFi9jAp1aZz1.0.1505364209707.Z0FBQUFBQlp1Z2p5ZHJDRnVERmJwY0J1Y1JkTXFsX0sxMDhIeUdPdjNpMlBkOUY4aUktWmtEXzdTU19BYXRlLU4yTUMtaUtkcnVRdkhHaVBBWDNURGVNbFN3Q3R6Wmg1TlRvN2NyemRWSE9EaUxRVmpyWHlVZnFCRE9aVTg0TThUVzlkNVdKaEllRWM;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:30
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=1tmULX9kP01pl5PZ23pzuWRo%2FXNhQSSsAXh1TGAKBSKD56WQF1WHmrGCRrdVInnOjb17E0GxNz8%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
